OpenVDB: CreateNanoGrid< SrcGridT >::BlindMetaData Struct Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
CreateNanoGrid< SrcGridT >::BlindMetaData Struct Reference

`#include <nanovdb/util/CreateNanoGrid.h>`

## Public Member Functions
| BlindMetaData (const std::string &name, const std::string &type, GridBlindDataClass dataClass, size_t i, size_t valueCount, size_t valueSize)
| BlindMetaData (const std::string &name, GridBlindDataSemantic dataSemantic, GridBlindDataClass dataClass, GridType dataType, size_t i, size_t valueCount, size_t valueSize)
| ~BlindMetaData ()
bool | operator< (const BlindMetaData &other) const

## Static Public Member Functions
static GridType | mapToType (const std::string &name)
static GridBlindDataSemantic | mapToSemantics (const std::string &name)

## Public Attributes
GridBlindMetaData * | metaData
const size_t | order
const size_t | size

## Constructor & Destructor Documentation

## ◆ BlindMetaData() [1/2]

template<typename SrcGridT >

BlindMetaData | ( | const std::string & | name,
|  | const std::string & | type,
|  | GridBlindDataClass | dataClass,
|  | size_t | i,
|  | size_t | valueCount,
|  | size_t | valueSize
| ) |  |
| inline

## ◆ BlindMetaData() [2/2]

template<typename SrcGridT >

BlindMetaData | ( | const std::string & | name,
|  | GridBlindDataSemantic | dataSemantic,
|  | GridBlindDataClass | dataClass,
|  | GridType | dataType,
|  | size_t | i,
|  | size_t | valueCount,
|  | size_t | valueSize
| ) |  |
| inline

## ◆ ~BlindMetaData()

template<typename SrcGridT >

~BlindMetaData | ( |  | ) |
| inline

## Member Function Documentation

## ◆ mapToSemantics()

template<typename SrcGridT >

static GridBlindDataSemantic mapToSemantics | ( | const std::string & | name | ) |
| inlinestatic

## ◆ mapToType()

template<typename SrcGridT >

static GridType mapToType | ( | const std::string & | name | ) |
| inlinestatic

## ◆ operator<()

template<typename SrcGridT >

bool operator< | ( | const BlindMetaData & | other | ) | const
| inline

## Member Data Documentation

## ◆ metaData

template<typename SrcGridT >

GridBlindMetaData* metaData

## ◆ order

template<typename SrcGridT >

const size_t order

## ◆ size

template<typename SrcGridT >

const size_t size